<div class="col-12 p-0 tw-relative">

    <ngx-spinner bdColor="rgba(0,0,0,0.3)" color="#fff" type="ball-clip-rotate-multiple" size="large" [fullScreen]="false">
        <p style="color: white;margin-top: 30px;">Loading Datas...</p>
        <!--if fullscreen false  Your parent container(div) should have position: relative;  -->
    </ngx-spinner>
    <p-messages></p-messages>
    <p-toast></p-toast>

    <div class="grid col-12 p-0  tw-w-full">
        <!--/////// speedDial ////////-->
        <div class="grid tw-relative tw-w-full">
            <div class="grid tw-fixed  tw-h-screen pl-10 ">
                <div style="position: relative;left: 20; top: calc(50% - 10rem);margin-left: 15px;">
                    <p-speedDial [model]="speedDialitems" direction="right" [transitionDelay]="50" showIcon="pi pi-bars"
                        hideIcon="pi pi-times" buttonClassName="p-button-outlined" class="ml-3"></p-speedDial>
                </div>

            </div>
        </div>
        <!--/////// speedDial End////////-->


        <div class="col-12 w-full">

            <div class="flex flex-column md:flex-row md:align-items-center md:justify-content-between mb-3 gap-3">

                <div class="flex align-items-center">
                    <img src="assets/demo/images/avatar/profile.jpg" width="64" alt="profile"
                        class="border-circle border-2 border-primary flex-shrink-0" />
                    <div class="flex flex-col ml-4">
                        <div class="border rounded-md ml-10 mr-4 border-violet-500 mb-2 grid p-3"
                            *ngFor="let w of dataSetWaitingInfo">
                            <div class="flex flex-wrap gap-x-3">
                                <div class="font-bold text-gray-600"> HN :</div>
                                <div> {{w.hn}}</div>
                                <div class="font-bold text-gray-600"> AN :</div>
                                <div> {{w.an}}</div>
                                <div class="font-bold text-gray-600"> ชื่อ-สกุล :</div>
                                <div> {{w.title}}{{w.fname}} {{w.lname}}</div>
                                <div class="font-bold text-gray-600"> เพศ :</div>
                                <div> {{w.gender}}</div>
                                <div class="font-bold text-gray-600"> อายุ :</div>
                                <div> {{w.age}}</div>
                                <div class="font-bold text-gray-600"> อาชีพ :</div>
                                <div> {{w.occupation}}</div>
                            </div>
                            <div class="flex flex-wrap gap-x-4 ">
                                <div class="font-bold text-gray-600"> ที่อยู่ :</div>
                                <div> {{w.address}}</div>
                                <div class="font-bold text-gray-600"> เบอร์โทร :</div>
                                <div> {{w.phone}}</div>
                            </div>
                            <div class="flex flex-wrap gap-x-4">
                                <div class="font-bold text-gray-600"> สิทธิการรักษา :</div>
                                <div> {{w.inscl_name}}</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="flex flex-wra align-content-center gap-3 tw-mr-10">
                    <div class="flex flex-wrap justify-content-end tw-mt-3">
                        <div class="flex">
                            <button pButton pRipple icon="pi pi-arrow-left" type="button" label="ย้อนกลับ"
                                class="p-button-outlined" (click)="backPage()"></button>
                        </div>
                    </div>

                    <div class="flex flex-row flex-wrap ">
                        <div>
                            <!-- <p-speedDial [model]="speedDialitems" direction="down" buttonClassName="p-button-success"
                                className="speeddial-left"></p-speedDial> -->

                            <!-- <p-speedDial [model]="speedDialitems" className="speeddial-left" direction="down"
                                [transitionDelay]="50" showIcon="pi pi-bars" hideIcon="pi pi-times"
                                buttonClassName="p-button-outlined"></p-speedDial> -->

                        </div>

                    </div>
                </div>

            </div>
        </div>
    </div>

    <div class="card">
        <div class="surface-section px-4">
            <div class="font-bold text-xl text-800 mb-3">ข้อมูลการเจ็บป่วย </div>
            <div class="grid nogutter">
                <div class="col-12 p-2">
                    <div class="border-top-2 border-blue-600 mb-2"></div>
                    <div class="flex flex-col" *ngFor="let x of dataSetReview">

                        <div class="border rounded-md ml-10 mr-4 border-violet-500 mb-2 grid p-3">
                            <div class="flex flex-wrap tw-gap-x-3">
                                <div class="font-bold text-gray-600"> CC :</div>
                                <div> {{x.chief_complaint}}</div>
                                <div class="font-bold text-gray-600"> PE :</div>
                                <div> {{x.physical_exam}}</div>
                                <div class="font-bold text-gray-600"> Diag text :</div>
                                <div> {{preDiag}}</div>

                            </div>
                            <div class="flex flex-wrap tw-gap-x-4 ">
                                <div class="font-bold "> Temp. :</div>
                                <div> {{x.body_temperature}}</div>
                                <div class="font-bold"> Weight :</div>
                                <div> {{x.body_weight}} kg. </div>
                                <div class="font-bold "> Height :</div>
                                <div> {{x.body_height}} cm. </div>
                                <div class="font-bold "> Waist:</div>
                                <div> {{x.waist}} cm. </div>
                                <div class="font-bold "> BP. :</div>
                                <div> {{x.systolic_blood_pressure}} / {{x.diatolic_blood_pressure}}</div>
                                <div class="font-bold "> Pulse :</div>
                                <div> {{x.pulse_rate}}</div>
                                <div class="font-bold "> RR. :</div>
                                <div> {{x.respiratory_rate}}</div>
                                <div class="font-bold "> OSat :</div>
                                <div> {{x.oxygen_sat}}</div>
                            </div>
                            <div class="flex flex-wrap gap-x-4">
                                <div class="font-bold"> Doctor By :</div>
                                <div> {{doctorBy}}</div>
                            </div>
                        </div>

                    </div>



                </div>
            </div>

            <div class="grid grid-cols-12 md:grid-cols-6 lg:grid-cols-4 xl:grid-cols-3 gap-4">
                <div>
                    <h5>แพทย์เจ้าของไข้</h5>
                    <span class="p-fluid">
                        <p-autoComplete [(ngModel)]="selectedItemsDoctor" [dropdown]="true" [forceSelection]="true"
                            [suggestions]="filteredItemsDoctors" (completeMethod)="filterItemsDoctors($event)"
                            field="fname" placeholder="เลือกแพทย์" autocomplete="off"  (onSelect)="onSelecteDoctor($event)"
                            class=" p-inputtext-sm tw-h-3 tw-rounded-s"></p-autoComplete>
                    </span>
                </div>
                <div>
                    <h5>เลือกตึกผู้ป่วย</h5>
                    <span class="p-fluid">
                        <p-autoComplete [(ngModel)]="selectedItemsWards" [dropdown]="true" [forceSelection]="true"
                            [suggestions]="filteredItemsWards" (completeMethod)="filterItemsWards($event)" 
                            field="name"
                            placeholder="เลือกตึกผู้ป่วย" autocomplete="off" (onSelect)="onSelectedWard($event)"
                            class=" p-inputtext-sm tw-h-3 tw-rounded-s"></p-autoComplete>
                    </span>

                </div>
                <div>
                    <h5>เลือกเตียง</h5>
                    <span class="p-fluid">
                        <p-autoComplete [(ngModel)]="selectedItemsBeds" [dropdown]="true" [forceSelection]="true"
                            [suggestions]="filteredItemsBeds" (completeMethod)="filterItemsBeds($event)"                           
                            field="namebed"
                            placeholder="เลือกเตียง" autocomplete="off" (onSelect)="onSelectedBed($event)"
                            class=" p-inputtext-sm tw-h-3 tw-rounded-s"></p-autoComplete>                          
                    </span>
                </div>




            </div>
            <!-- <div class="col-12 md:col-6 lg:col-4 xl:col-3">
                <p-dropdown [options]="cities" [(ngModel)]="selectedDrop" placeholder="Select a City" [showClear]="true"></p-dropdown>
                
            </div>
            <div class="col-12 md:col-6 lg:col-4 xl:col-3">
                <p-dropdown [options]="cities" [(ngModel)]="selectedDrop" placeholder="Select a City" [showClear]="true"></p-dropdown>
                
            </div>
            <div class="col-12 md:col-6 lg:col-4 xl:col-3">
                <p-dropdown [options]="cities" [(ngModel)]="selectedDrop" placeholder="Select a City" [showClear]="true"></p-dropdown>
                
            </div> -->

            <div class="flex flex-wrap gap-2 mt-4 justify-content-center">
                <button pButton pRipple type="button" class="tw-w-32" label="บันทึก"  [disabled]="!is_select_register"
                   (click)="saveRegister()" ></button>

                <button pButton pRipple type="button"  label="ยกเลิก" class="p-button-secondary tw-w-32" (click)="backPage()" ></button>
            </div>
        </div>
    </div>
</div>